common cvs-import.sh,1.18,1.19

Jesse Keating (jkeating) fedora-extras-commits at redhat.com
Mon Apr 2 18:51:59 UTC 2007


Author: jkeating

Update of /cvs/extras/common
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv8754

Modified Files:
	cvs-import.sh 
Log Message:
Use a better encapsulation for the error cases {} instead of ()
Use a unified diff from CVS



Index: cvs-import.sh
===================================================================
RCS file: /cvs/extras/common/cvs-import.sh,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- cvs-import.sh	2 Apr 2007 18:39:33 -0000	1.18
+++ cvs-import.sh	2 Apr 2007 18:51:29 -0000	1.19
@@ -167,12 +167,12 @@
 # Check out the existing module
 cd $TMPDIR
 echo "Checking out module: '$NAME'"
-$CVS -Q checkout $NAME || (echo "ERROR: \"$NAME\" module does not exist in cvs." && exit 1)
+$CVS -Q checkout $NAME || {echo "ERROR: \"$NAME\" module does not exist in cvs."; exit 1;}
 
 # this is our working directory
 cd $NAME
 
-[ -d ${BRANCH} ] || (echo "ERROR: \"$NAME/$BRANCH\" does not exist!" && exit 1)
+[ -d ${BRANCH} ] || {echo "ERROR: \"$NAME/$BRANCH\" does not exist!"; exit 1;}
 
 # check if we have imported this entry
 TAG=$(echo "${NAME##[0-9]}-$VERSION-$RELEASE" | sed -e 's/[$,.:;@]/_/g')
@@ -289,7 +289,7 @@
 echo "$LOG_ENTRY:$(date +%s)" >> ./import.log
 
 echo "======================================================================="
-cvs -Q diff
+cvs -Q diff -u
 echo "======================================================================="
 echo "Please check the above cvs diff."
 echo "If you want to make any changes before committing, please press Ctrl-C."




More information about the fedora-extras-commits mailing list